## ocaml-re2 113.00.00+dfsg

=== src/Makefile ===
RE2_HOME=libre2
LIBRE2=$(RE2_HOME)/obj/libre2.a

CXX?=g++
CXXFLAGS += -I $(RE2_HOME)/re2

all: libre2_stubs.a dllre2_stubs.so

dllre2_stubs.so libre2_stubs.a: stubs.o $(LIBRE2)
	ocamlmklib -oc re2_stubs stubs.o $(LIBRE2) -lstdc++
	rm libre2_stubs.a # ocamlmklib just includes $(LIBRE2) inside the stubs archive
	cp $(LIBRE2) libre2_stubs.a && ar r libre2_stubs.a stubs.o

stubs.o: stubs.cpp stubs.h util.h enum_x_macro.h
	$(CXX) -O2 -DPIC -fPIC -g -pipe -DCAML_NAME_SPACE -Wall -I. -I../../../include \
	-I$(RE2_HOME) -I$(ocaml-version-selected-include-path) -c stubs.cpp

#stubs.o: %.o: %.cpp %.h

.PHONY: $(LIBRE2)
$(LIBRE2):
	$(MAKE) -C $(RE2_HOME) CXXFLAGS='-Wall -O3 -g -pthread -fPIC' obj/libre2.a

## ocaml-re2 113.00.00%2Bdfsg

=== debian/control ===
Source: ocaml-re2
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9),
 libcore-ocaml-dev,
 libpa-ounit-camlp4-dev,
 libpa-test-camlp4-dev,
 libpa-bench-camlp4-dev,
 libbin-prot-camlp4-dev,
 libsexplib-camlp4-dev,
 libcompare-camlp4-dev,
 ocaml-findlib,
 ocaml-nox (>= 3.12.0~),
 libre2-dev,
 rsync,
Standards-Version: 3.9.6
Section: ocaml
Homepage: https://github.com/janestreet/re2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-re2.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-re2.git

Package: libre2-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: OCaml bindings for RE2 -- development files
 This package contains the development stuff needed to use the
 re2 library in your programs.

Package: libre2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: OCaml bindings for RE2 -- shared library
 This package contains the runtime libraries for programs using
 re2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
ifeq ($(OCAML_NATDYNLINK),no)
	find $(DESTDIR) -name '*.cmxs' -delete
endif
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-re2 113.00.00+dfsg

=== debian/changelog ===
ocaml-re2 (113.00.00+dfsg-2) unstable; urgency=medium

  * Fix watch file
  * Add missing rsync build-dependency

 -- Hilko Bengen <bengen@debian.org>  Tue, 09 Feb 2016 18:12:10 +0100

ocaml-re2 (113.00.00+dfsg-1) unstable; urgency=medium

  * Strip unneeded libre2 sources (which contain non-free bits)

 -- Hilko Bengen <bengen@debian.org>  Fri, 22 Jan 2016 01:23:27 +0100

ocaml-re2 (113.00.00-1) unstable; urgency=low

  * Initial release (Closes: #810262)

 -- Hilko Bengen <bengen@debian.org>  Thu, 07 Jan 2016 19:14:04 +0100

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//,uversionmangle=s/-rc/~rc/" \
    https://github.com/janestreet/re2/releases .*/archive/(.*)\.tar\.gz \
    debian debian/orig-tar.sh
